org.apache.xalan

## Class Version

- java.lang.Object
- - org.apache.xalan.Version

-     public class Version
      extends java.lang.Object

  Administrative class to keep track of the version number of the Xalan release.

  This class implements the upcoming standard of having org.apache.project-name.Version.getVersion() be a standard way to get version information. This class will replace the older org.apache.xalan.processor.Version class.

  See also: org/apache/xalan/res/XSLTInfo.properties for information about the version of the XSLT spec we support.

  Usage:

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Version()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getDevelopmentVersionNum()` Development Drop Number.
    `static java.lang.String` | `getImplementationLanguage()` Implementation Language: Java.
    `static int` | `getMaintenanceVersionNum()` Maintenance Drop Number.
    `static int` | `getMajorVersionNum()` Major version number.
    `static java.lang.String` | `getProduct()` Name of product: Xalan.
    `static int` | `getReleaseVersionNum()` Release Number.
    `static java.lang.String` | `getVersion()` Get the basic version string for the current Xalan release.
    `static void` | `main(java.lang.String[] argv)` Print the processor version to the command line.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Version

          public Version()

  - ### Method Detail

    - #### getVersion

          public static java.lang.String getVersion()

      Get the basic version string for the current Xalan release. Version String formatted like `"Xalan Java v.r[.dd| Dnn]"`. Futurework: have this read version info from jar manifest.
      Returns:
        String denoting our current version

    - #### main

          public static void main(java.lang.String[] argv)

      Print the processor version to the command line.
      Parameters:
        `argv` - command line arguments, unused.

    - #### getProduct

          public static java.lang.String getProduct()

      Name of product: Xalan.

    - #### getImplementationLanguage

          public static java.lang.String getImplementationLanguage()

      Implementation Language: Java.

    - #### getMajorVersionNum

          public static int getMajorVersionNum()

      Major version number. Version number. This changes only when there is a significant, externally apparent enhancement from the previous release. 'n' represents the n'th version. Clients should carefully consider the implications of new versions as external interfaces and behaviour may have changed.

    - #### getReleaseVersionNum

          public static int getReleaseVersionNum()

      Release Number. Release number. This changes when: - a new set of functionality is to be added, eg, implementation of a new W3C specification. - API or behaviour change. - its designated as a reference release.

    - #### getMaintenanceVersionNum

          public static int getMaintenanceVersionNum()

      Maintenance Drop Number. Optional identifier used to designate maintenance drop applied to a specific release and contains fixes for defects reported. It maintains compatibility with the release and contains no API changes. When missing, it designates the final and complete development drop for a release.

    - #### getDevelopmentVersionNum

          public static int getDevelopmentVersionNum()

      Development Drop Number. Optional identifier designates development drop of a specific release. D01 is the first development drop of a new release. Development drops are works in progress towards a compeleted, final release. A specific development drop may not completely implement all aspects of a new feature, which may take several development drops to complete. At the point of the final drop for the release, the D suffix will be omitted. Each 'D' drops can contain functional enhancements as well as defect fixes. 'D' drops may not be as stable as the final releases.

Copyright © 2023 Apache XML Project. All Rights Reserved.